Bug 604776 - DeviceNotFoundError: vda
DeviceNotFoundError: vda
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
medium Severity medium
: beta
: 6.0
Assigned To: David Cantrell
Release Test Team
anaconda_trace_hash:47e5fdf4ad3a122e5...
:
Depends On: 601248 605262
Blocks: 510435 582286
  Show dependency treegraph
 
Reported: 2010-06-16 13:46 EDT by David Cantrell
Modified: 2010-07-02 16:50 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-13.21.50-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 601248
Environment:
Last Closed: 2010-07-02 16:50:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 David Cantrell 2010-06-16 13:49:36 EDT
We need to prevent a possible traceback in anaconda with this fix:

commit 5fa434f4a324915cfabe2ad6a7d1718de20bc075
Author: David Cantrell <dcantrell@redhat.com>
Date:   Wed Jun 16 07:49:00 2010 -1000

    Fall back on regular device name (#604776)
    
    In deviceNameToDiskByPath() we call udev_device_get_by_path().  If there
    is no by-path symlink for the device, we get None back.  Rather than
    return None, fall back on udev_device_get_name(info).

diff --git a/storage/udev.py b/storage/udev.py
index 0a22339..738cea0 100644
--- a/storage/udev.py
+++ b/storage/udev.py
@@ -298,7 +298,7 @@ def udev_device_get_by_path(info):
             if link.startswith('/dev/disk/by-path/'):
                 return link
 
-    return None
+    return udev_device_get_name(info)
 
 def udev_device_get_sysfs_path(info):
     return info['sysfs_path']
Comment 2 RHEL Product and Program Management 2010-06-16 13:52:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Alexander Todorov 2010-06-17 12:38:40 EDT
I've tested with 0617.0 tree which has anaconda-13.21.50-7. There was no symlink for vda under /dev/disk/by-path but it didn't trace back. I was able to complete the install using the vda disk and additional iSCSI disk. 

Moving this one to VERIFIED.
Comment 4 releng-rhel@redhat.com 2010-07-02 16:50:35 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.